Subject: [Pce] Re: PCE MIB modules

From: "A S Kiran Koushik" <[email-masked]>
Date: Tue, 12 Dec 2006 14:01:50 -0600

Hi Emile,

Thanks for this message. I have gone through this thread and the existing
MIBs. I have listed my comments/observations below:

1. In general, we do not include "STD" for a draft MIB. Only
when they are about to become RFC, we call them STD.

Before becoming an RFC we have "DRAFT" for the MIBs.
This way if some companies want to implement the draft versions
and later want to upgrade to standard versions do not have a name
clash with the OIDs.

2. I agree with most of your decomposition.
However, I want to propose :
PCEP-DRAFT-MIB         draft-ietf-pcep-mib

instead of
PCE-COMP-STD-MIB         draft-ietf-pce-comp-mib

This will give a clear idea to the user on what the MIB contains.

So the new decomposition looks like:
MIB module               WG draft name
================================================
PCE-DISC-DRAFT-MIB         draft-ietf-pce-disc-mib
 -- PCE discovery MIB.

PCEP-DRAFT-MIB         draft-ietf-pcep-mib
 -- PCE communication protocol MIB

PCE-PCC-DRAFT-MIB          draft-ietf-pce-pcc-mib
 -- Path Computation Client MIB

PCE-TC-DRAFT-MIB           draft-ietf-pce-tc-mib
 -- PCE Textual conventions MIB.

3. I see that the SMIv2 structures of the existing MIB modules
need to be fixed and SMIC utility must be run. I can take care of that.

4. I will also start working on the PCEP-MIB for which you will
be my co-author.

Please let me know if you have any more comments/observations? I
intend to start working on these soon.

Regards,
Kiran.

----- Original Message ----- 
From: "STEPHAN Emile RD-CORE-LAN" <[email-masked]>
To: <[email-masked]>; "A S Kiran Koushik" <[email-masked]>; 
<[email-masked]>
Cc: "LE ROUX Jean-Louis RD-CORE-LAN" <[email-masked]>
Sent: Wednesday, November 29, 2006 10:46 AM
Subject: PCE MIB modules

Hi Kiran, Adrian and JP

I am really happy that Kiran join us. I am sure that we are going to do 
excellent works together... and that there is enough work for 2 people.

So let's start.

In July we identify the following MIB modules decomposition.

MIB module               WG draft name
================================================
PCE-DISC-STD-MIB         draft-ietf-pce-disc-mib
PCE-COMP-STD-MIB         draft-ietf-pce-comp-mib
PCE-PCC-STD-MIB          draft-ietf-pce-pcc-mib
PCE-TC-STD-MIB           draft-ietf-pce-tc-mib

draft-ietf-pce-disc-mib and draft-ietf-pce-tc-mib are already in progress.

As JP spoke recently of a "PCEP MIB", I want to be sure that we still agree on 
this decomposition?

Then I propose to draft the abstract of each document conjointly with the 
chairs.

Finally, I think that we may identify the drafts and the sections giving 
directions to write each MIB module.

At this point, each of us will share the minimal understanding before writing 
any SMI line.

Regards
Emile

-----Message d'origine-----
De: Adrian Farrel [mailto:[email-masked]]
Envoy: vendredi 28 juillet 2006 14:08
: STEPHAN Emile RD-CORE-LAN
Cc: LE ROUX Jean-Louis RD-CORE-LAN; [email-masked]
Objet: Re: PCE MIB modules names

Good work.

Thanks.

Adrian
----- Original Message ----- 
From: "STEPHAN Emile RD-CORE-LAN" <[email-masked]>
To: <[email-masked]>
Cc: "LE ROUX Jean-Louis RD-CORE-LAN" <[email-masked]>;
<[email-masked]>
Sent: Friday, July 28, 2006 11:02 AM
Subject: RE: PCE MIB modules names

Hi Adrian,

I think we got it:

MIB module               WG draft name
================================================
PCE-DISC-STD-MIB         draft-ietf-pce-disc-mib
PCE-COMP-STD-MIB         draft-ietf-pce-comp-mib
PCE-PCC-STD-MIB          draft-ietf-pce-pcc-mib
PCE-TC-STD-MIB           draft-ietf-pce-tc-mib

According to that I will firstly review and rename my current draft as
draft-stephan-pce-disc-mib-00.txt. Then I will create
draft-stephan-pce-tc-mib-00.txt. Finally I will post both of them.

Regards
Emile

> -----Message d'origine-----
> De : Adrian Farrel [mailto:[email-masked]]
> Envoy : mercredi 26 juillet 2006 18:04
>  : STEPHAN Emile RD-CORE-LAN; [email-masked]
> Cc : LE ROUX Jean-Louis RD-CORE-LAN
> Objet : Re: PCE MIB modules names
>
> Hi Emile,
>
> > During the meeting we decided to move the TCs defined in
> > draft-stephan-pcc-pcedp-mib-01.txt in a dedicated MIB
> >  module to permit them to be shared by any (PCE) MIB
> >  modules;
>
> Yes please.
>
> > Prior to do that I would like to determine the names of
> > the PCE MIB modules and the name of the corresponding
> > drafts. The aim is to avoid collisions in the names of the
> > MIB modules and drafts, renaming, misunderstanding...
> > and annoying discussions in the ML for people not
> > interested by MIB aspects.
>
> This is very sensible, to avoid the collisions and any thrashing.
>
> It is not so important to avoid the mailing list. I agree that not many
> people are interetsed in MIB modules, but it is important to make sure
> that
> those who might be interested feel that there is a discussion going on
> that
> they can contribute to. Also, it is nice to show some interactions about
> the
> I-D becuase it helps to build evidence of support for the work.
>
> > I identify 3 potential modules plus the TC one:
> >1- A module to monitor from within a PCC (a PCE may
> > includes a PCC), the PCEs discovered by this PCC or
> > PCE (the intend of pcc-pcedp-mib);
>
> Right. So this controls and monitors the discovery process, and reports on
> discovered PCEs.
> Presumably it also allows you to configure the location and capabilities
> of
> remote PCEs.
>
> > 2- A module to monitor from within a PCE, path
> > computation activities of this PCE;
>
> Yes. I assume this includes the PCEP activities.
>
> > 3- A module to monitor from within a PCC (a
> > PCE may includes a PCC), path computation
> > requested by this PCC or PCE;
>
> Yes.
>
> > I propose the 4 following names:
> >
> >    MIB module              WG draft name
> > ========================================
> >    PCC-PCEDP-MIB           draft-ietf-pce-pcc-pcedp-mib
> >    PCE-PATHCOMP-MIB        draft-ietf-pce-pce-pathcomp-mib
> >    PCC-PATHCOMP-MIB        draft-ietf-pce-pcc-pathcomp-mib
> >    PCE-TC-MIB              draft-ietf-pce-tc-mib
>
> Now, I have always had some trouble understanding how MIB modules are
> supposed to be named, but from experience, it seems that we need...
>
> xxx-yyy-STD-MIB
>
> ...where
>
> xxx is the field of applicability (e.g. MPLS, GMPLS, PCE, etc.)
> yyy is the thing being modeled.
> STD means "standard"
>
> So this would give us:
>
> PCE-DISC-STD-MIB
> PCE-COMP-STD-MIB
> PCE-PCC-STD-MIB
> PCE-TC-STD-MIB
>
> The document names are fine as you feel appropriate.
>
> Note that you are allowed to put multiple MIB modules in the same I-D, but
> actually four documents is probably easier for everyone.
>
> > The intent of the proposal above is only to start the discussion.
>
> Yes. And I very much appreciate it. Thanks for driving this.
>
> > We may use shorter names like in ccamp or mpls WG.
> > What about PCC-DP-MIB, PCE-PC-MIB PCC-PC-MIB
> > and PCE-TC-MIB?
>
> My suggestions, above, are to keep the names looking a little less the
> same!
>
> Alternatives for the middle two of PCE-PCE-STD-MIB and PCE-PCC-STD-MIB
> just
> looked too confusing!
>
> Cheers,
> Adrian
>
>

_______________________________________________
Pce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pce